org.apache.lucene.geo

## Class XYRectangle

- java.lang.Object
- - org.apache.lucene.geo.XYGeometry
  - - org.apache.lucene.geo.XYRectangle

    public final class XYRectangle
    extends XYGeometry

Represents a x/y cartesian rectangle.

### Field Summary

Fields
`float` `maxX` minimum y value
`float` `maxY` maximum y value
`float` `minX` minimum x value
`float` `minY` maximum x value

### Constructor Summary

Constructors
Constructor and Description
`XYRectangle(float minX, float maxX, float minY, float maxY)` Constructs a bounding box by first validating the provided x and y coordinates

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`static XYRectangle` `fromPointDistance(float x, float y, float radius)` Compute Bounding Box for a circle in cartesian geometry
`int` `hashCode()`
`protected Component2D` `toComponent2D()` get a Component2D from this object
`String` `toString()`

### Methods inherited from class org.apache.lucene.geo.XYGeometry

`create`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### minX

    public final float minX

minimum x value

#### maxX

    public final float maxX

minimum y value

#### minY

    public final float minY

maximum x value

#### maxY

    public final float maxY

maximum y value

### Constructor Detail

#### XYRectangle

    public XYRectangle(float minX,
                       float maxX,
                       float minY,
                       float maxY)

Constructs a bounding box by first validating the provided x and y coordinates

### Method Detail

#### toComponent2D

    protected Component2D toComponent2D()

Description copied from class: `XYGeometry`
get a Component2D from this object

Specified by:
  `toComponent2D` in class `XYGeometry`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### fromPointDistance

    public static XYRectangle fromPointDistance(float x,
                                                float y,
                                                float radius)

Compute Bounding Box for a circle in cartesian geometry

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`